Bug 182692 - openldap-servers does not install samba.schema
openldap-servers does not install samba.schema
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 21:11 EST by W. Michael Petullo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-23 10:26:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2006-02-23 21:11:34 EST
Description of problem:
The samba package provides samba.schema in the package's documentation
directory.  This file should be installed in /etc/openldap/schema/samba.schema
so that slapd may use it.

Version-Release number of selected component (if applicable):
samba-3.0.21b-2

How reproducible:
Every time

Steps to Reproduce:
Install samba and note that its LDAP schema is not installed so that slapd may
use it.
  
Actual results:


Expected results:


Additional info:
Comment 1 Andreas Bierfert 2006-03-23 19:08:10 EST
This is probably true for all the schema files... Right now I have:
include /usr/share/doc/samba-3.0.21b/LDAP/samba.schema

Which is horrible for version upgrades (like FC4->FC5).

And while at it: Maybe sambaldap-tools should go somewhere sane as well.
Comment 2 Andreas Bierfert 2006-11-07 05:48:10 EST
ping!
This is a serious bug in fedora core. upgrades of samba _break_ ldap because the
schema files (and sambaldap-tools) live in different location on each version
upgrade. If I patch the spec will you include it? This really needs to be sorted
out I thought that this would happen by the time FC6 comes by...
Comment 3 Andrew Bartlett 2006-12-26 23:25:45 EST
While you can't assume that Samba will be on the OpenLDAP server, it does seem
very reasonable to me that the schema be installed by default, and upgraded by
Samba upgrades.
Comment 4 Andreas Bierfert 2006-12-27 04:01:07 EST
Either that would help or having a separate samba-schema package which would
install the schema files into lets say /etc/openldap/schema (and require
openldap of course). That whay they can easily be included and don't break
samba/ldap on schema upgrades. 

Same goes for the tools. 
Comment 5 Simo Sorce 2007-03-23 10:26:08 EDT
Thank you, will be fixed with the next build in rawhide.

Note You need to log in before you can comment on or make changes to this bug.